local S = nether.get_translator

subnodes.register_subnodes("nether:basalt", {
	["stairs:inner_stair"] = {
		description = S("Inner Nether Basalt Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Nether Basalt Stair"),
	},
	["stairs:slab"] = {
		description = S("Nether Basalt Slab"),
	},
	["stairs:stair"] = {
		description = S("Nether Basalt Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Nether Basalt Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Nether Basalt Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Nether Basalt Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Nether Basalt Half Stair"),
	},
})

subnodes.register_subnodes("nether:basalt_hewn", {
	["stairs:inner_stair"] = {
		description = S("Inner Hewn Basalt Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Hewn Basalt Stair"),
	},
	["stairs:slab"] = {
		description = S("Hewn Basalt Slab"),
	},
	["stairs:stair"] = {
		description = S("Hewn Basalt Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Hewn Basalt Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Hewn Basalt Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Hewn Basalt Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Hewn Basalt Half Stair"),
	},
})

subnodes.register_subnodes("nether:brick", {
	["stairs:inner_stair"] = {
		description = S("Inner Nether Brick Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Nether Brick Stair"),
	},
	["stairs:slab"] = {
		description = S("Nether Brick Slab"),
	},
	["stairs:stair"] = {
		description = S("Nether Brick Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Nether Brick Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Nether Brick Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Nether Brick Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Nether Brick Half Stair"),
	},
})
core.register_alias("stairs:stair_nether_brick", "nether:stair_brick")
core.register_alias("stairs:slab_nether_brick", "nether:slab_brick")

subnodes.register_subnodes("nether:brick_compressed", {
	["stairs:inner_stair"] = {
		description = S("Inner Compressed Netherbrick Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Compressed Netherbrick Stair"),
	},
	["stairs:slab"] = {
		description = S("Compressed Netherbrick Slab"),
	},
	["stairs:stair"] = {
		description = S("Compressed Netherbrick Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Compressed Netherbrick Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Compressed Netherbrick Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Compressed Netherbrick Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Compressed Netherbrick Half Stair"),
	},
})

subnodes.register_subnodes("nether:brick_cracked", {
	["stairs:inner_stair"] = {
		description = S("Inner Cracked Nether Brick Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Cracked Nether Brick Stair"),
	},
	["stairs:slab"] = {
		description = S("Cracked Nether Brick Slab"),
	},
	["stairs:stair"] = {
		description = S("Cracked Nether Brick Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Cracked Nether Brick Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Cracked Nether Brick Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Cracked Nether Brick Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Cracked Nether Brick Half Stair"),
	},
})

subnodes.register_subnodes("nether:brick_deep", {
	["stairs:inner_stair"] = {
		description = S("Inner Deep Nether Brick Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Deep Nether Brick Stair"),
	},
	["stairs:slab"] = {
		description = S("Deep Nether Brick Slab"),
	},
	["stairs:stair"] = {
		description = S("Deep Nether Brick Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Deep Nether Brick Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Deep Nether Brick Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Deep Nether Brick Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Deep Nether Brick Half Stair"),
	},
})

subnodes.register_subnodes("nether:geode", {
	["stairs:inner_stair"] = {
		description = S("Inner Nether Beryl Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Nether Beryl Stair"),
	},
	["stairs:slab"] = {
		description = S("Nether Beryl Slab"),
	},
	["stairs:stair"] = {
		description = S("Nether Beryl Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Nether Beryl Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Nether Beryl Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Nether Beryl Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Nether Beryl Half Stair"),
	},
})

subnodes.register_subnodes("nether:geodelite", {
	["stairs:inner_stair"] = {
		description = S("Inner Nether Berylite Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Nether Berylite Stair"),
	},
	["stairs:slab"] = {
		description = S("Nether Berylite Slab"),
	},
	["stairs:stair"] = {
		description = S("Nether Berylite Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Nether Berylite Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Nether Berylite Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Nether Berylite Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Nether Berylite Half Stair"),
	},
})

subnodes.register_subnodes("nether:rack", {
	["stairs:inner_stair"] = {
		description = S("Inner Netherrack Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Netherrack Stair"),
	},
	["stairs:slab"] = {
		description = S("Netherrack Slab"),
	},
	["stairs:stair"] = {
		description = S("Netherrack Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Netherrack Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Netherrack Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Netherrack Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Netherrack Half Stair"),
	},
})
core.register_alias("stairs:stair_netherrack", "nether:stair_rack")

subnodes.register_subnodes("nether:rack_deep", {
	["stairs:inner_stair"] = {
		description = S("Inner Deep Netherrack Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Deep Netherrack Stair"),
	},
	["stairs:slab"] = {
		description = S("Deep Netherrack Slab"),
	},
	["stairs:stair"] = {
		description = S("Deep Netherrack Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Deep Netherrack Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Deep Netherrack Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Deep Netherrack Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Deep Netherrack Half Stair"),
	},
})

subnodes.register_subnodes("nether:rack_deep_with_nether", {
	["stairs:inner_stair"] = {
		description = S("Inner Deep Nether Ore Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Deep Nether Ore Stair"),
	},
	["stairs:slab"] = {
		description = S("Deep Nether Ore Slab"),
	},
	["stairs:stair"] = {
		description = S("Deep Nether Ore Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Deep Nether Ore Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Deep Nether Ore Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Deep Nether Ore Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Deep Nether Ore Half Stair"),
	},
})

subnodes.register_subnodes("nether:rack_with_nether", {
	["stairs:inner_stair"] = {
		description = S("Inner Nether Ore Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Nether Ore Stair"),
	},
	["stairs:slab"] = {
		description = S("Nether Ore Slab"),
	},
	["stairs:stair"] = {
		description = S("Nether Ore Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Nether Ore Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Nether Ore Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Nether Ore Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Nether Ore Half Stair"),
	},
})

subnodes.register_subnodes("nether:sand", {
	["stairs:inner_stair"] = {
		description = S("Inner Nethersand Stair"),
	},
	["stairs:outer_stair"] = {
		description = S("Outer Nethersand Stair"),
	},
	["stairs:slab"] = {
		description = S("Nethersand Slab"),
	},
	["stairs:stair"] = {
		description = S("Nethersand Stair"),
	},
	["stairsplus:halfstair"] = {
		description = S("Nethersand Half Stair"),
	},
	["stairsplus:micro"] = {
		description = S("Nethersand Microblock"),
	},
	["stairsplus:panel"] = {
		description = S("Nethersand Panel"),
	},
	["stairsplus:right_halfstair"] = {
		description = S("Nethersand Half Stair"),
	},
})
